classification
Title: HPUX 11.00: socketmodule.c -- error 1588: "AI_PASSIVE" undefined.
Type: compile error Stage: needs patch
Components: Build, Library (Lib) Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, loewis, pitrou, srid
Priority: normal Keywords:

Created on 2009-12-08 00:00 by srid, last changed 2010-08-21 22:46 by georg.brandl. This issue is now closed.

Messages (5)
msg96092 - (view) Author: Sridhar Ratnakumar (srid) Date: 2009-12-08 00:00
At line 790, the constant AI_PASSIVE is used without doing a ifdef check 
(like done at around 5235). 

building '_socket' extension
cc +DAportable -Ae -D_REENTRANT +Z +z -DNDEBUG -O -I. -I./Include -
IInclude -I/home/apy/rrun/build/activepython-DEV/build/py2_7a1-
hpux11_00-parisc-apy27-rrun/python -c /home/apy/rrun/build/activepython-
DEV/build/py2_7a1-hpux11_00-parisc-apy27-
rrun/python/Modules/socketmodule.c -o build/temp.hp-ux-B.11.00-9000-800-
2.7/home/apy/rrun/build/activepython-DEV/build/py2_7a1-hpux11_00-parisc-
apy27-rrun/python/Modules/socketmodule.o
cc: "/home/apy/rrun/build/activepython-DEV/build/py2_7a1-hpux11_00-
parisc-apy27-rrun/python/Modules/socketmodule.c", line 790: error 1588: 
"AI_PASSIVE" undefined.
msg96096 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-12-08 00:40
Are you sure it isn't defined somewhere? HP claims it exists:
http://www.docs.hp.com/en/B3921-90010/getaddrinfo.3N.html

On the other hand, it seems commenting out this line doesn't harm any
existing test, so we could enable it conditionally.
msg96100 - (view) Author: Sridhar Ratnakumar (srid) Date: 2009-12-08 00:59
Yes, I even tried grep'ing the system header files. BTW, the build works 
fine on a newer HP-UX machine (11.22), whereas it fails only on a 
particular older version:

$ uname -a
HP-UX bertha B.11.00 U 9000/800 136901587 unlimited-user license

The documentation link you gave is applicable to 11i (which is >= 
11.11).

So I presume that AI_PASSIVE was made available only in later versions 
of HP-UX.
msg97615 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-01-12 00:44
BTW, this bug no longer occurs with Python trunk (or 2.7a2). 

I took at look at the vcs history and couldn't find any changes related to this.
msg114586 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 22:46
Closing - out of date.
History
Date User Action Args
2010-08-21 22:46:08georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg114586

resolution: out of date
2010-01-12 00:44:33sridsetmessages: + msg97615
2009-12-08 01:00:04sridsettitle: HPUX: socketmodule.c -- error 1588: "AI_PASSIVE" undefined. -> HPUX 11.00: socketmodule.c -- error 1588: "AI_PASSIVE" undefined.
2009-12-08 00:59:45sridsetmessages: + msg96100
2009-12-08 00:40:03pitrousetpriority: normal
versions: + Python 2.6, Python 3.1, Python 3.2
nosy: + loewis, pitrou

messages: + msg96096

stage: needs patch
2009-12-08 00:00:16sridcreate